package com.flutter_plugin_kyc;

import android.util.Base64;

import com.trulioo.normalizedapi.model.VerifyRequest;

public class KYCResult {
    String countryCode;
    String documentType;
    String backImage;
    String frontImage;
    String livePhoto;
    String givenName;
    String surName;
    public String result;
    public KYCResult(VerifyRequest v){
        countryCode = v.getCountryCode();
        documentType = v.getDataFields().getDocument().getDocumentType();
        backImage = Base64.encodeToString(v.getDataFields().getDocument().getDocumentBackImage(), Base64.DEFAULT);
        frontImage  = Base64.encodeToString(v.getDataFields().getDocument().getDocumentFrontImage(), Base64.DEFAULT);
        livePhoto = Base64.encodeToString(v.getDataFields().getDocument().getLivePhoto(), Base64.DEFAULT);
        givenName = v.getDataFields().getPersonInfo().getFirstGivenName();
        surName  = v.getDataFields().getPersonInfo().getFirstSurName();
    }
}
